Package: org.gradle.platform.base

## [Java] Interface PlatformAwareComponentSpec

- org.gradle.platform.base.PlatformAwareComponentSpec

- All Superinterfaces:
    ComponentSpec

  Defines Platform specific operations for ComponentSpecs

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `targetPlatform(String targetPlatform)` Specifies a platform that this component should be built be for.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentSpec` | `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public void targetPlatform(String targetPlatform)

      Specifies a platform that this component should be built be for.